#ifndef __APP_MOTION_H
#define __APP_MOTION_H

#include "stdint.h"
#include "bma.h"
#include "board/board.h"

extern BMA bma;

void app_motion_init(bool reset);
int8_t app_motion_config_stepcount(void);
int8_t app_motion_get_step(uint32_t *step_out);
int32_t app_motion_get_temperature();
int8_t app_motion_config_step_act(void);
void app_motion_config_wakeup();
void app_motion_get_rawdata();
void app_motion_get_angle(Angle_t *angle);
#endif
