#ifndef __BOARD_H
#define __BOARD_H
#include <stdbool.h>
#include <stdint.h>

 


#if defined(NRF52)

    /*Current version of LVGL*/
    #define SW_VERSION_MAJOR   0
    #define SW_VERSION_MINOR   1
    #define SW_VERSION_PATCH   0
    #define SW_VERSION_INFO "dev"


    #define HW_VERSION_MAJOR   2
    #define HW_VERSION_MINOR   0
    #define HW_VERSION_PATCH   0
    #define HW_VERSION_INFO "nrf52832"




    #define VOLTAGE_LOWPOWER    3500



    #define PIN_BATT    30
    #define PIN_CHARGE  29
    #define PIN_MOTOR   13

    #define PIN_KEY0   7
    #define PIN_KEY1   12


    #define PIN_SDA     31
    #define PIN_SCL     2

    #define PIN_SDA_IS31    PIN_SCL
    #define PIN_SCL_IS31    PIN_SDA
    #define PIN_IS31_SD     16
    #define PIN_IS31_INT    17


    #define PIN_BMA_INT1    3
    #define PIN_BMA_INT2    4

    #define PIN_LSM_INT1    14
    #define PIN_LSM_INT2    15

    #define PIN_RTC_INT     5



    #define PIN_FLASH_CS    27
    #define PIN_FLASH_MISO  28
    #define PIN_FLASH_MOSI  26
    #define PIN_FLASH_SCLK  25


    #define PIN_UART_TX     6
    #define PIN_UART_RX     8

#endif 


#endif
